> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/fulfillment-api/models.md).

# Models

## The InventorySyncRequest object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"InventorySyncRequest":{"required":["fulfillmentCentreId","items","provider","tenantCode"],"type":"object","properties":{"tenantCode":{"minLength":1,"type":"string"},"fulfillmentCentreId":{"minLength":1,"type":"string"},"provider":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/InventorySyncItem"}}},"additionalProperties":false},"InventorySyncItem":{"required":["articleStatus","sku"],"type":"object","properties":{"sku":{"maxLength":32,"minLength":3,"type":"string"},"variantProductCode":{"maxLength":100,"minLength":1,"type":"string"},"upc":{"type":"string"},"ean":{"type":"string"},"size":{"type":"string"},"color":{"type":"string"},"articleStatus":{"$ref":"#/components/schemas/ArticleStatus"},"quantity":{"format":"int32","type":"integer"}},"additionalProperties":false},"ArticleStatus":{"enum":["Expected","Active","Quarantine","Suspended"],"type":"string"}}}}
```

## The ValidationProblemDetails object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ValidationProblemDetails":{"type":"object","properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}}}}}
```

## The InventorySyncItem object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"InventorySyncItem":{"required":["articleStatus","sku"],"type":"object","properties":{"sku":{"maxLength":32,"minLength":3,"type":"string"},"variantProductCode":{"maxLength":100,"minLength":1,"type":"string"},"upc":{"type":"string"},"ean":{"type":"string"},"size":{"type":"string"},"color":{"type":"string"},"articleStatus":{"$ref":"#/components/schemas/ArticleStatus"},"quantity":{"format":"int32","type":"integer"}},"additionalProperties":false},"ArticleStatus":{"enum":["Expected","Active","Quarantine","Suspended"],"type":"string"}}}}
```

## The ArticleStatus object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ArticleStatus":{"enum":["Expected","Active","Quarantine","Suspended"],"type":"string"}}}}
```

## The AdvancedShippingNoticeRequest object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"AdvancedShippingNoticeRequest":{"type":"object","properties":{"shipmentId":{"type":"string"},"eswOrderReference":{"type":"string"},"shipmentDateTime":{"format":"date-time","type":"string"},"shipmentStatus":{"$ref":"#/components/schemas/ShipmentStatus"},"shipFrom":{"$ref":"#/components/schemas/ShipmentLocation"},"carrierId":{"type":"string"},"packageReference":{"type":"string"},"carrierSCAC":{"type":"string"},"carrierReference":{"type":"string"},"packageWeight":{"$ref":"#/components/schemas/PackageWeight"},"packageDimensions":{"$ref":"#/components/schemas/PackageDimensions"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ShipmentItem"}}},"additionalProperties":false},"ShipmentStatus":{"enum":["Unshipped","PartiallyShipped","Shipped"],"type":"string"},"ShipmentLocation":{"type":"object","properties":{"name":{"type":"string"},"locationCode":{"type":"string"}},"additionalProperties":false},"PackageWeight":{"type":"object","properties":{"weight":{"format":"double","type":"number"},"weightUnit":{"$ref":"#/components/schemas/WeightUnit"}},"additionalProperties":false},"WeightUnit":{"enum":["KG","LB"],"type":"string"},"PackageDimensions":{"type":"object","properties":{"length":{"format":"double","type":"number"},"width":{"format":"double","type":"number"},"height":{"format":"double","type":"number"},"dimensionUnit":{"$ref":"#/components/schemas/DimensionUnit"}},"additionalProperties":false},"DimensionUnit":{"enum":["IN","CM"],"type":"string"},"ShipmentItem":{"type":"object","properties":{"sku":{"type":"string"},"quantityOrdered":{"format":"int32","type":"integer"},"quantityShipped":{"format":"int32","type":"integer"},"unitOfMeasure":{"type":"string"},"itemStatus":{"$ref":"#/components/schemas/ItemStatus"}},"additionalProperties":false},"ItemStatus":{"enum":["Shipped"],"type":"string"}}}}
```

## The PackageDimensions object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PackageDimensions":{"type":"object","properties":{"length":{"format":"double","type":"number"},"width":{"format":"double","type":"number"},"height":{"format":"double","type":"number"},"dimensionUnit":{"$ref":"#/components/schemas/DimensionUnit"}},"additionalProperties":false},"DimensionUnit":{"enum":["IN","CM"],"type":"string"}}}}
```

## The PackageWeight object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PackageWeight":{"type":"object","properties":{"weight":{"format":"double","type":"number"},"weightUnit":{"$ref":"#/components/schemas/WeightUnit"}},"additionalProperties":false},"WeightUnit":{"enum":["KG","LB"],"type":"string"}}}}
```

## The ShipmentItem object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ShipmentItem":{"type":"object","properties":{"sku":{"type":"string"},"quantityOrdered":{"format":"int32","type":"integer"},"quantityShipped":{"format":"int32","type":"integer"},"unitOfMeasure":{"type":"string"},"itemStatus":{"$ref":"#/components/schemas/ItemStatus"}},"additionalProperties":false},"ItemStatus":{"enum":["Shipped"],"type":"string"}}}}
```

## The ShipmentLocation object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ShipmentLocation":{"type":"object","properties":{"name":{"type":"string"},"locationCode":{"type":"string"}},"additionalProperties":false}}}}
```

## The ShipmentStatus object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ShipmentStatus":{"enum":["Unshipped","PartiallyShipped","Shipped"],"type":"string"}}}}
```

## The DimensionUnit object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"DimensionUnit":{"enum":["IN","CM"],"type":"string"}}}}
```

## The ItemStatus object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ItemStatus":{"enum":["Shipped"],"type":"string"}}}}
```

## The WeightUnit object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"WeightUnit":{"enum":["KG","LB"],"type":"string"}}}}
```

## The PickPackConfirm object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PickPackConfirm":{"required":["confirmationId","eswOrderReference","pickPackResponse","tenantCode"],"type":"object","properties":{"confirmationId":{"type":"string"},"confirmationDateTime":{"format":"date-time","type":"string"},"eswOrderReference":{"type":"string"},"tenantCode":{"type":"string"},"pickPackResponse":{"$ref":"#/components/schemas/PickPackResponse"}},"additionalProperties":false},"PickPackResponse":{"required":["status"],"type":"object","properties":{"status":{"$ref":"#/components/schemas/PickPackResponseStatus"},"failureReason":{"$ref":"#/components/schemas/PickPackProviderFailureReason"},"problemMessage":{"type":"string"},"itemsResult":{"type":"array","items":{"$ref":"#/components/schemas/ItemProviderResponse"}}},"additionalProperties":false},"PickPackResponseStatus":{"enum":["AcceptedForProcessing","PartialResult","Confirmed","Failed","BadRequest","BadAddress","TimeOut"],"type":"string"},"PickPackProviderFailureReason":{"enum":["None","TransientError","BadAddress","TimeOut","_3PLNotConfigured"],"type":"string"},"ItemProviderResponse":{"type":"object","properties":{"productCode":{"type":"string"},"quantityFailed":{"format":"int32","type":"integer"},"quantityConfirmed":{"format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/_3PlProviderItemStatus"},"failureReason":{"$ref":"#/components/schemas/_3PLItemFailureReason"},"problemMessage":{"type":"string"}},"additionalProperties":false},"_3PlProviderItemStatus":{"enum":["Created","Success","Failed","PartialResult"],"type":"string"},"_3PLItemFailureReason":{"enum":["NotDefined","NotFound","CancelledItem","OperationalCancel","Damaged","ReallocatedExclude","EndOfDay"],"type":"string"}}}}
```

## The ProblemDetails object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}}}}}
```

## The PickPackResponse object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PickPackResponse":{"required":["status"],"type":"object","properties":{"status":{"$ref":"#/components/schemas/PickPackResponseStatus"},"failureReason":{"$ref":"#/components/schemas/PickPackProviderFailureReason"},"problemMessage":{"type":"string"},"itemsResult":{"type":"array","items":{"$ref":"#/components/schemas/ItemProviderResponse"}}},"additionalProperties":false},"PickPackResponseStatus":{"enum":["AcceptedForProcessing","PartialResult","Confirmed","Failed","BadRequest","BadAddress","TimeOut"],"type":"string"},"PickPackProviderFailureReason":{"enum":["None","TransientError","BadAddress","TimeOut","_3PLNotConfigured"],"type":"string"},"ItemProviderResponse":{"type":"object","properties":{"productCode":{"type":"string"},"quantityFailed":{"format":"int32","type":"integer"},"quantityConfirmed":{"format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/_3PlProviderItemStatus"},"failureReason":{"$ref":"#/components/schemas/_3PLItemFailureReason"},"problemMessage":{"type":"string"}},"additionalProperties":false},"_3PlProviderItemStatus":{"enum":["Created","Success","Failed","PartialResult"],"type":"string"},"_3PLItemFailureReason":{"enum":["NotDefined","NotFound","CancelledItem","OperationalCancel","Damaged","ReallocatedExclude","EndOfDay"],"type":"string"}}}}
```

## The ItemProviderResponse object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"ItemProviderResponse":{"type":"object","properties":{"productCode":{"type":"string"},"quantityFailed":{"format":"int32","type":"integer"},"quantityConfirmed":{"format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/_3PlProviderItemStatus"},"failureReason":{"$ref":"#/components/schemas/_3PLItemFailureReason"},"problemMessage":{"type":"string"}},"additionalProperties":false},"_3PlProviderItemStatus":{"enum":["Created","Success","Failed","PartialResult"],"type":"string"},"_3PLItemFailureReason":{"enum":["NotDefined","NotFound","CancelledItem","OperationalCancel","Damaged","ReallocatedExclude","EndOfDay"],"type":"string"}}}}
```

## The PickPackProviderFailureReason object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PickPackProviderFailureReason":{"enum":["None","TransientError","BadAddress","TimeOut","_3PLNotConfigured"],"type":"string"}}}}
```

## The PickPackResponseStatus object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"PickPackResponseStatus":{"enum":["AcceptedForProcessing","PartialResult","Confirmed","Failed","BadRequest","BadAddress","TimeOut"],"type":"string"}}}}
```

## The \_3PLItemFailureReason object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"_3PLItemFailureReason":{"enum":["NotDefined","NotFound","CancelledItem","OperationalCancel","Damaged","ReallocatedExclude","EndOfDay"],"type":"string"}}}}
```

## The \_3PlProviderItemStatus object

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"components":{"schemas":{"_3PlProviderItemStatus":{"enum":["Created","Success","Failed","PartialResult"],"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/fulfillment-api/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
